Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.common
Class AtomService

    java.lang.Object
      com.sun.syndication.propono.atom.common.AtomService

Direct Known Subclasses:
  ClientAtomService, FileBasedAtomService

    public class AtomService

extends Object

Models an Atom Publishing Protocol Service Document. Is able to read a Service document from a JDOM Document and to write Service document out as a JDOM Document.

Field Summary
`static org.jdom.Namespace` | `ATOM_FORMAT` Namespace for Atom Syndication Format
`static org.jdom.Namespace` | `ATOM_PROTOCOL` Namespace for Atom Publishing Protocol

Constructor Summary
`AtomService()` Create new and empty Atom service

Method Summary
`void` | `addWorkspace(Workspace workspace)` Add Workspace to service.
`static AtomService` | `documentToService(org.jdom.Document document)` Deserialize an Atom service XML document into an object
`Workspace` | `findWorkspace(String title)` Find workspace by title.
`List` | `getWorkspaces()` Get Workspaces available from service.
`org.jdom.Document` | `serviceToDocument()` Serialize an AtomService object into an XML document
`void` | `setWorkspaces(List workspaces)` Set Workspaces of service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATOM_FORMAT

    public static org.jdom.Namespace ATOM_FORMAT

  Namespace for Atom Syndication Format

### ATOM_PROTOCOL

    public static org.jdom.Namespace ATOM_PROTOCOL

  Namespace for Atom Publishing Protocol

Constructor Detail

### AtomService

    public AtomService()

  Create new and empty Atom service

Method Detail

### addWorkspace

    public void addWorkspace(Workspace workspace)

  Add Workspace to service.

### getWorkspaces

    public List getWorkspaces()

  Get Workspaces available from service.

### setWorkspaces

    public void setWorkspaces(List workspaces)

  Set Workspaces of service.

### findWorkspace

    public Workspace findWorkspace(String title)

  Find workspace by title.

  Parameters:
    `title` - Match this title
  Returns:
    Matching Workspace or null if none found.

### documentToService

    public static AtomService documentToService(org.jdom.Document document)
                                         throws ProponoException

  Deserialize an Atom service XML document into an object

  Throws:
    `ProponoException`

### serviceToDocument

    public org.jdom.Document serviceToDocument()

  Serialize an AtomService object into an XML document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD